using UnityEngine;

namespace Core
{
    public interface IInputManager
    {
        public Vector2 Move { get; }
        public Vector2 Look { get; }
        public bool JumpPressed { get; }
        public bool PausePressed { get; }
        public bool InteractPressed { get; }
        public void SetCursorState(bool visible, CursorLockMode lockMode);
        public void SetInputForLook(bool enabled);
        public void SetInputForMove(bool enabled);
    }
}